! Scrie matr. de rigiditate - Triunghiul sup.:
subroutine Write_R(scal)
use work

implicit real(8) (a-h, o-z)


n6 =min(ngl,6)

	if(scal /=1.) then
	write(1,'(//, a)') ' Matricea R =S^(-T)*K*S^(-1) scalata'
	write(1, '(/, a)') ' R'''
	else
	write(1,'(//, a)') ' Matricea R =S^(-T)*K*S^(-1)'
	endif

do i =1,ngl
write(1, '(<n6>(1pg24.16))') R(i,:)		!R(i,i:ngl)
enddo

if(scal /=1.) then
write(1,'(/, a)') ' Factor de scalare (R =R''*factor):'
write(1,*) scal
endif

END

